<template>
  <div class="container">
    <div class="container-left">
      <div
        class="left-card"
        v-for="(item, i) in menuArr"
        :key="i"
        :class="activePage == i ? 'left-card-active' : ''"
        @click="openMenu(item, i)"
      >
        <span class="icon iconfont" :style="`font-size:${item.size}px`">{{item.icon}}</span>
        <span class="card-text">{{ item.name }}</span>
      </div>
    </div>
    <operationLog v-if="activePage == 0" style="width: 100%"></operationLog>
    <systemLog v-if="activePage == 1" style="width: 100%"></systemLog>
    <pollingLog v-if="activePage == 2" style="width: 100%"></pollingLog>
    <eventPushLog v-if="activePage == 3" style="width: 100%"></eventPushLog>
  </div>
</template>

<script>
import operationLog from "../views/operationLog";
import systemLog from "../views/systemLog";
import pollingLog from "../views/pollingLog";
import eventPushLog from "../views/eventPushLog";
export default {
  name: "settings",
  components: {
    operationLog,
    systemLog,
    pollingLog,
    eventPushLog,
  },
  data() {
    return {
      menuArr: [
        { name: "操作日志",icon:"\ue706",size:19 },
        { name: "系统日志",icon:"\ue730"  ,size:19},
        { name: "轮询日志",icon:"\ue708" ,size:21},
        { name: "事件推送日志",icon:"\ue707" ,size:13 },
      ],
      activePage: 0,
    };
  },
  methods: {
    openMenu(item, i) {
      this.activePage = i;
    },
  },
};
</script>
<style lang="scss">
.container {
  height: 100%;
  display: flex;
  flex-direction: row;
  flex: 1;
  flex-basis: auto;
  box-sizing: border-box;
  background-color: #fff;
  .container-left {
    height: 100%;
    width: 210px;
    overflow: auto;
    box-sizing: border-box;
    flex-shrink: 0;
    padding: 10px;
    border-right: 5px solid rgba(248, 248, 248, 1);
    box-sizing: border-box;
    .left-card {
      height: 55px;
      cursor: pointer;
      border-radius: 12px;
      margin-bottom: 10px;
      display: flex;
      align-items: center;
      .iconfont {
        margin-left: 15px;
        margin-right: 10px;
        font-size: 20px;
      }
      .card-text {
        font-size: 16px;
      }
    }
    .left-card-active{
        background-color: rgba(61, 104, 225, 1);
        color: #fff;
    }
    .left-card:hover {
      background-color: rgba(61, 104, 225, 1);
      color: #fff;
    }
  }
}
</style>


